## livestreamer 1.12.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/livestreamer.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/livestreamer.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/livestreamer"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/livestreamer"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## livestreamer 0.0.20140822

=== debian/changelog ===
livestreamer (0.0.20140822-0~rzr20140825) unstable; urgency=medium

  * wip: http://rzr.online.fr/q/snapshot#livestreamer

 -- Philippe Coval <rzr@gna.org>  Mon, 25 Aug 2014 08:34:07 +0200

livestreamer (0.0.20140825-0~rzr) unstable; urgency=medium

  * WIP: http://rzr.online.fr/q/snapshot#livestreamer

 -- Philippe Coval <rzr@gna.org>  Mon, 25 Aug 2014 08:34:07 +0200

livestreamer (0.0.0-0~rzr1) raring; urgency=low

  * http://rzr.online.fr/q/snapshot

 -- Philippe Coval <rzr@gna.org>  Fri, 24 May 2013 00:02:47 +0200

livestreamer (0.0.0-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Philippe Coval <rzr@gna.org>  Thu, 23 May 2013 23:49:48 +0200

=== debian/control ===
Source: livestreamer
Section: utils
Priority: extra
Maintainer: Philippe Coval <rzr@gna.org>
Build-Depends: debhelper (>= 8.0.0),
  python-setuptools 
Standards-Version: 3.9.4
Homepage: https://github.com/chrippa/livestreamer
#Vcs-Git: git://git.debian.org/collab-maint/livestreamer.git
Vcs-Browser: https://github.com/chrippa/livestreamer

Package: livestreamer
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python-requests
Description: play various streaming services
 CLI program that pipes streams from various streaming services
 into a video player of your choice

Package: livestreamer-snapshot
Architecture: all
Section: utils
Depends: livestreamer (= ${source:Version}), ${misc:Depends}
Suggests: rzr
Priority: extra
Description: unreleased snapshot version
 TODO: Remove on issue and upgrade livestreamer
 http://rzr.online.fr/q/snapshot#livestreamer Feedback welcome

## livestreamer 1.10.2

=== debian/changelog ===
livestreamer (1.10.2-1) unstable; urgency=low

  * New upstream version

 -- Stefan Breunig <stefan-debian@yrden.de>  Sat, 06 Sep 2014 10:36:39 +0200

livestreamer (1.10.1-1) unstable; urgency=low

  * New upstream version

 -- Stefan Breunig <stefan-debian@yrden.de>  Sat, 30 Aug 2014 17:46:46 +0200

livestreamer (1.10.0-1) unstable; urgency=low

  * New upstream version (Closes: #757347)

 -- Stefan Breunig <stefan-debian@yrden.de>  Mon, 18 Aug 2014 22:18:54 +0200

livestreamer (1.9.0-1) unstable; urgency=low

  * Disable version check (Closes: #750502)
  * New upstream version

 -- Stefan Breunig <stefan-debian@yrden.de>  Tue, 22 Jul 2014 20:50:15 +0200

livestreamer (1.8.1-1) unstable; urgency=low

  * New upstream version

 -- Stefan Breunig <stefan-debian@yrden.de>  Tue, 27 May 2014 21:18:04 +0200

livestreamer (1.7.4-1) unstable; urgency=low

  * Initial release (Closes: #740062)

 -- Stefan Breunig <stefan-debian@yrden.de>  Thu, 06 Mar 2014 00:29:37 +0100

=== debian/control ===
Source: livestreamer
Maintainer: Stefan Breunig <stefan-debian@yrden.de>
Section: python
Priority: optional
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9),
 dh-python,
 python,
 python3,
 python-setuptools,
 python3-setuptools,
 python-singledispatch,
 python3 (>= 3.4) | python3-singledispatch,
 python-requests,
 python3-requests,
 python-sphinx,
 python-concurrent.futures
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3
Homepage: http://livestreamer.tanuki.se/
Vcs-Git: git://github.com/breunigs/livestreamer-debian.git
Vcs-Browser: https://github.com/breunigs/livestreamer-debian

Package: python-livestreamer
Architecture: all
Depends: ${misc:Depends},
 ${python:Depends},
 python-requests,
 python-singledispatch,
 python-concurrent.futures
Recommends: rtmpdump,
  python-crypto
Suggests: livestreamer
Description: library to extract video streams from various services - Python 2
 The API lists available video qualities from URLs which are
 visible to a service’s users. It can extract any such quality
 and pass on the raw video data.
 .
 Currently most of the big streaming services are supported
 (e.g. Dailymotion, Livestream, Justin.tv, Twitch, YouTube Live
 and UStream) and more specialized content providers can be
 added easily using Livestreamer’s plugin system.
 .
 This package makes Livestreamer APIs accessible in Python 2.

Package: python3-livestreamer
Architecture: all
Depends: ${misc:Depends},
 ${python3:Depends},
 python3-requests,
 python3 (>= 3.4) | python3-singledispatch
Recommends: rtmpdump,
  python3-crypto
Suggests: livestreamer
Description: library to extract video streams from various services - Python 3
 The API lists available video qualities from URLs which are
 visible to a service’s users. It can extract any such quality
 and pass on the raw video data.
 .
 Currently most of the big streaming services are supported
 (e.g. Dailymotion, Livestream, Justin.tv, Twitch, YouTube Live
 and UStream) and more specialized content providers can be
 added easily using Livestreamer’s plugin system.
 .
 This package makes Livestreamer APIs accessible in Python 3.

Package: python-livestreamer-doc
Section: doc
Architecture: all
Depends: ${sphinxdoc:Depends},
  ${misc:Depends}
Description: library to extract video streams from various services - documentation
 The API lists available video qualities from URLs which are
 visible to a service’s users. It can extract any such quality
 and pass on the raw video data.
 .
 Currently most of the big streaming services are supported
 (e.g. Dailymotion, Livestream, Justin.tv, Twitch, YouTube Live
 and UStream) and more specialized content providers can be
 added easily using Livestreamer’s plugin system.
 .
 This package contains the Livestreamer usage, API and plugins
 documentation in HTML format.

Package: livestreamer
Section: video
Architecture: all
Depends: ${misc:Depends},
  ${python:Depends},
  python-livestreamer
Suggests: python-livestreamer-doc
Description: CLI that pipes video streams to video players
 Livestreamer is a Command Line Interface that extracts video
 streams from various services and hands them to a video player,
 such as VLC. The main purpose of Livestreamer is to allow the
 user to avoid buggy and CPU heavy flash plugins but still
 be able to enjoy various streamed content.
 .
 Currently most of the big streaming services are supported
 (e.g. Dailymotion, Livestream, Justin.tv, Twitch, YouTube Live
 and UStream) and more specialized content providers can be
 added easily using Livestreamer’s plugin system.

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/l/livestreamer/livestreamer-(.*)\.tar\.gz

## livestreamer 1.11.1

=== debian/changelog ===
livestreamer (1.11.1-1) unstable; urgency=low

  * New upstream version
    - fixes no streams being found on Twitch.tv (closes: 772890)
  * Bump Standards-Version to 3.9.6 with no changes

 -- Stefan Breunig <stefan-debian@yrden.de>  Sat, 13 Dec 2014 02:08:28 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Stefan Breunig <stefan-debian@yrden.de>
 Section: python
 Priority: optional
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9),
  dh-python,
  python,

## livestreamer 1.12.2

=== debian/changelog ===
livestreamer (1.12.2-1) unstable; urgency=low

  * New upstream version
    - works around SSL issues on new.livestream.com (Closes: #780931)
  * Do not remove version check command line parameters for compatibility with
    apps that use livestreamer

 -- Stefan Breunig <stefan-debian@yrden.de>  Sat, 02 May 2015 22:30:30 +0200

livestreamer (1.12.1-1) unstable; urgency=low

  * New upstream version
  * Updated Homepage URL

 -- Stefan Breunig <stefan-debian@yrden.de>  Mon, 23 Mar 2015 21:32:18 +0100

livestreamer (1.12.0-1) unstable; urgency=low

  * New upstream version
  * Updated copyright file
  * Removed external dependencies in HTML docs
  * Recommends: added python-librtmp to enable access for some streams

 -- Stefan Breunig <stefan-debian@yrden.de>  Sun, 01 Mar 2015 22:00:36 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  python-concurrent.futures
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
-Homepage: http://livestreamer.tanuki.se/
+Homepage: http://livestreamer.io/
 Vcs-Git: git://github.com/breunigs/livestreamer-debian.git
 Vcs-Browser: https://github.com/breunigs/livestreamer-debian
 
@@ -29,7 +29,8 @@
  python-singledispatch,
  python-concurrent.futures
 Recommends: rtmpdump,
-  python-crypto
+  python-crypto,
+  python-librtmp
 Suggests: livestreamer
 Description: library to extract video streams from various services - Python 2
  The API lists available video qualities from URLs which are
@@ -50,7 +51,8 @@
  python3-requests,
  python3 (>= 3.4) | python3-singledispatch
 Recommends: rtmpdump,
-  python3-crypto
+  python3-crypto,
+  python3-librtmp
 Suggests: livestreamer
 Description: library to extract video streams from various services - Python 3
  The API lists available video qualities from URLs which are
@@ -68,7 +70,10 @@
 Section: doc
 Architecture: all
 Depends: ${sphinxdoc:Depends},
-  ${misc:Depends}
+  ${misc:Depends},
+  libjs-modernizr,
+Recommends: fonts-inconsolata,
+  fonts-lato
 Description: library to extract video streams from various services - documentation
  The API lists available video qualities from URLs which are
  visible to a service’s users. It can extract any such quality

=== debian/rules ===
#! /usr/bin/make -f

# Place livestreamer executable in the correct place right away. This
# also avoids overwrites by the Python 3 build, regardless of order.
export PYBUILD_INSTALL_ARGS_python2 = --install-scripts usr/share/livestreamer/

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	python setup.py build_sphinx -b man
	python setup.py build_sphinx -b html
	dh_auto_install

override_dh_compress:
	dh_compress -X.html

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/livestreamer/livestreamer-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
